MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027316Open CASCADE[OCCT] OCCT:DRAWpublic2016-03-29 11:382019-04-08 12:18
Reportergzy 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformWindowsOSVC++ 2012OS Version64 bit
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0027316: Draw Harness - access violation on passing non-existing shape to XAddShape
DescriptionVersion windows Release opencascade-7.0.0-vc10-64-rc
1. Start draw.bat
2. Execute script attached to bug 27313 (source Buran_rib.tcl)
3. Enter in command line
XAddShape D bracket_5
An exception was caught 00000000024A5080 : OSD_Exception_ACCESS_VIOLATION: ACCESS VIOLATION at address 0x00000000 during operation
Exception ** 00000000024A5080 : OSD_Exception_ACCESS_VIOLATION: ACCESS VIOLATION at address 0x00000000
TagsNo tags attached.
Test case numberbugs step bug27316
Attached Files

- Relationships
related to 0027313closedbugmaster Exception during WriteStep with PMI 
related to 0029181assignedapn Jenkins Certification Tool - testing with enabled exceptions (undefined No_Exception) 

-  Notes
(0069729)
mkv (tester)
2017-08-21 18:58

Problem described in issue is reproduced on current state of OCCT.
(0083125)
git (administrator)
2019-03-20 09:00

Branch CR27316 has been created by kgv.

SHA-1: bbfec728d37ede59cae37547a9d25772a9ef72f9


Detailed log of new commits:

Author: kgv
Date: Wed Mar 20 08:53:41 2019 +0300

    0027316: Draw Harness - access violation on passing non-existing shape to XAddShape
    
    Add NULL check to XAddShape command.
    Removed broken test case bugs/step/bug27316.
(0083130)
kgv (developer)
2019-03-20 11:02

Tcl script is broken - it refers to non-existing shape bracket_5.
(0083131)
kgv (developer)
2019-03-20 11:02

Patch adding NULL check is ready for review.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR27316-master-KGV/ [^]
(0083156)
msv (developer)
2019-03-20 19:42

Reviewed.
(0083180)
apn (administrator)
2019-03-21 12:28

Combination -
OCCT branch : CR27316
master SHA - bbfec728d37ede59cae37547a9d25772a9ef72f9
d67d4b811012eef8913d3c535c29654d0acf3c4c
Products branch : master SHA - b3958866f73826c2eaaa9470209980d22e210fba
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16584.679999999968 / 16586.049999999996 [-0.01%]
Products
Total CPU difference: 9165.850000000048 / 9102.210000000046 [+0.70%]
Windows-64-VC14:
OCCT
Total CPU difference: 18008.015625 / 17978.625 [+0.16%]
Products
Total CPU difference: 10585.03125 / 10609.28125 [-0.23%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0083494)
git (administrator)
2019-04-08 12:18

Branch CR27316 has been deleted by inv.

SHA-1: bbfec728d37ede59cae37547a9d25772a9ef72f9

- Related Changesets
occt: master 85831628
Timestamp: 2019-03-20 05:53:41
Author: kgv
Committer: apn
Details ] Diff ]
0027316: Draw Harness - access violation on passing non-existing shape to XAddShape

Add NULL check to XAddShape command.
Removed broken test case bugs/step/bug27316.
mod - src/XDEDRAW/XDEDRAW_Shapes.cxx Diff ] File ]
rm - tests/bugs/step/bug27316 Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-03-29 11:38 gzy New Issue
2016-03-29 11:38 gzy Assigned To => abv
2016-11-03 17:21 abv Target Version 7.1.0 => 7.2.0
2017-07-27 09:43 abv Target Version 7.2.0 => 7.4.0*
2017-08-21 18:58 mkv Test case number => bugs step bug27316
2017-08-21 18:58 mkv Note Added: 0069729
2019-03-20 08:56 kgv Summary exception when XAddShape => Draw Harness - access violation on passing non-existing shape to XAddShape
2019-03-20 08:57 kgv Relationship added related to 0027313
2019-03-20 09:00 git Note Added: 0083125
2019-03-20 09:58 kgv Relationship added related to 0029181
2019-03-20 11:02 kgv Note Added: 0083130
2019-03-20 11:02 kgv Note Added: 0083131
2019-03-20 11:02 kgv Assigned To abv => msv
2019-03-20 11:02 kgv Severity major => minor
2019-03-20 11:02 kgv Status new => resolved
2019-03-20 19:42 msv Note Added: 0083156
2019-03-20 19:42 msv Assigned To msv => bugmaster
2019-03-20 19:42 msv Status resolved => reviewed
2019-03-21 12:28 apn Note Added: 0083180
2019-03-21 12:28 apn Status reviewed => tested
2019-03-24 18:54 apn Changeset attached => occt master 85831628
2019-03-24 18:54 apn Assigned To bugmaster => apn
2019-03-24 18:54 apn Status tested => verified
2019-03-24 18:54 apn Resolution open => fixed
2019-04-08 12:18 git Note Added: 0083494


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker